1

I recently reinstalled Windows and am trying to set up SQL Server again with an existing database. I've tried installing SQL Server 2012 and 2014, and continuously get the same error. The error says that the database is version 782 and this version of SQL Server is only compatible with 706 and below. I get this error with both SQL Server 2012 and 2014. I thought 2014 was compatible with 782+.

How can I attach the database?

1 Answer 1

1

Sql Server DB verion 782 is for SQL Server 2014 and 706 is for SQL Server 2012.

and SQL Server 2014 will support all the previous version, but SQL Server 2012 will not support DB version 782(SQL Server 2014 version)

Probably something wrong with installation of SQL server 2014 and you still have SQL server 2012 version, Please check the SQL server version

SELECT @@version
3
  • Yes I'm running SSMS 2014, but I see 2012 when I run select @@version. what can i do? Aug 26, 2014 at 11:31
  • You can remove the SQL Server 2012 and then install Sql Server to 2014, as the installer will keep the 2012 edition will add 2014, Or upgrade the instance to 2014 and stop the 2012 instance in case both are running
    – vijayp
    Aug 26, 2014 at 11:45
  • 1
    I removed everything, installed 2014, worked the permissions and it ran. I had permissions issues as well, and adding the MSSQL user and SERVICE user to the folder allowed me to attach the database. Connection strings reworked, everything runs. Thanks you. Aug 27, 2014 at 1:14

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.